# Uses of Class
org.eclipse.jdt.core.dom.JavaDocTextElement

Packages that use JavaDocTextElement
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of JavaDocTextElement in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return JavaDocTextElement
Modifier and Type
Method
Description
`JavaDocTextElement`
AST.`newJavaDocTextElement()`
Creates and returns a new text element node.
Methods in org.eclipse.jdt.core.dom with parameters of type JavaDocTextElement
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(JavaDocTextElement node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(JavaDocTextElement node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(JavaDocTextElement node)`
Visits the given type-specific AST node.